%define name linus-git
%define version 1.2.0
%define release %mkrel 1

%define libname %{_lib}git

Summary: Global Information Tracker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2
#Patch0:	linus-git-asciidoc-unsafe.patch.bz2
License: GPL
Group: Development/Other
Url: http://kernel.org/pub/scm/git/git.git/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: asciidoc
# BuildRequires: xmlto
BuildRequires: rcs
BuildRequires: dos2unix
Conflicts: git
Requires: git-core = %{version}
Requires: gitk = %{version}

%description
This is a stupid (but extremely fast) directory content manager.
It doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This is a dummy package which brings in all subpackages.


%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: rcs
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Requires: python

%description -n git-core
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This are the core tools with minimal dependencies.

You may want to install subversion, cpsps and/or tla to import
repositories from other VCS.


%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{version}
Requires: tk >= 8.4

%description -n gitk
Git revision tree visualiser.

%package -n %libname-devel
Summary: Git devellopment files
Group: Development/Other
Provides: git-devel = %version-%release

%description -n %libname-devel
Devellopment files for git.

%prep
%setup -q -n git-%{version}
#%patch0
# remove borring file
rm -f Documentation/.gitignore

%build
%make prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" all doc

# convert end of line to make rpmlint happy
dos2unix Documentation/*.html

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT
make install-doc prefix=%{_datadir} DESTDIR=$RPM_BUILD_ROOT

#	template_dir=$RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/templates/
# fix attributes
chmod ugo+x $RPM_BUILD_ROOT%{_datadir}/git-core/templates/hooks/*
chmod ugo-x $RPM_BUILD_ROOT%{_datadir}/git-core/python/*
chmod ugo+x Documentation/sort_glossary.pl

mkdir -p %buildroot%_includedir/git
cp *.h %buildroot%_includedir/git

mkdir -p %buildroot%_libdir
install -m 644 libgit.a %buildroot%_libdir/libgit.a

%check
LC_ALL=C make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
# no file in the main package

%files -n git-core
%defattr(-,root,root,0755)
%{_bindir}/git
%{_bindir}/git-*
%{_datadir}/git-core
%{_mandir}/*/*
%doc README COPYING Documentation/*.html

%files -n gitk
%defattr(-,root,root,0755)
%{_bindir}/gitk
%doc README COPYING

%files -n %libname-devel
%defattr(-,root,root,0755)
%_includedir/git
%_libdir/libgit.a

%changelog
* Thu Feb 14 2006 Herbert Ptzl <herbert@13thfloor.at>
- 1.2.0

* Wed Feb 1 2006 Lukas Oboril <xxlucas@seznam.cz> 1.1.6-0.1.20060mdk
- 1.1.6

* Tue Jan 31 2006 Lukas Oboril <xxlucas@seznam.cz> 1.1.4-0.1.20060mdk
- rebuild for MDV 2006
- disable patch0, beacuse breaks build

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.1.4-2mdk
- provide a libgit-devel to allow to build darcs with git support

* Sat Jan 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.3-1mdk
- New release 1.1.3

* Sat Jan 14 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.2-1mdk
- New release 1.1.2

* Wed Jan 11 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- fix man path (bug 20575)

* Mon Jan 09 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-1mdk
- New release 1.1.0

* Thu Dec 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-2mdk
- split in git-core, gitk and linus-git
- build and keep only html doc
- use RPM_OPT_FLAGS
- fix tmp path

* Wed Dec 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-1mdk
- New release 1.0.6

* Tue Dec 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.5-1mdk
- New release 1.0.5

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-3mdk
- Fix BuildRequires

* Sat Dec 24 2005 Gaetan Lehmann <glehmann@n4.mandriva.com> 1.0.4-2mdk
- requires more packages
- complete description

* Sat Dec 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4
- build requires xmlto (thanks to neoclust)
- patch0: use asciidoc in unsafe mode

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.0-1mdk
- New release 1.0.0

* Fri Dec 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9n-1mdk
- New release 0.99.9n

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9m-1mdk
- New release 0.99.9m

* Mon Dec  5 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-2mdk
 * Sun Dec 04 2005 trem <trem@zarb.org> 0.99.9l-2mdk
 - add manpage

* Sun Dec 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-1mdk
- New release 0.99.9l

* Mon Nov 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9k-1mdk
 * Mon Nov 28 2005 trem <trem@zarb.org> 0.99.9k-1mdk
 - New release 0.99.9k
 - Fix warning on rpmlint
- more rpmlint warning

* Tue Nov 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9i-1mdk
- New release 0.99.9i

* Mon Nov 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9h-1mdk
- New release 0.99.9h
- don't use make macro to run test

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99.9e-2mdk
- Fix BuildRequires

* Mon Nov 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9e-1mdk
- New release 0.99.9e

* Sat Nov 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9d-1mdk
- New release 0.99.9d

* Sun Oct 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9-1mdk
- New release 0.99.9

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8f-1mdk
- New release 0.99.8f

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8e-1mdk
- New release 0.99.8e

* Mon Oct 10 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8c-1mdk
- New release 0.99.8c

* Thu Oct 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8b-1mdk
- New release 0.99.8b

* Tue Oct 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8a-1mdk
- New release 0.99.8a

* Sun Sep 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.99.5-3mdk
- tests break if we use non C locale

* Thu Sep  8 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-2mdk
- solve "templates not found" warning by moving back datas to
  /usr/share/git-core  

* Wed Sep  7 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-1mdk
- New release 0.99.5
- add url to Source0
- use real archive name
- fix summary-not-capitalized
- make test

* Tue Aug 23 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99.4-1mdk
- udpate to 0.99.4
- Fix build require curl-devel (thanks to trem <trem@zarb.org>)

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99-2mdk
- Fix BuildRequires

* Wed Jul 13 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99-1mdk
- Update to 0.99 'git release' 2005-07-13

* Thu Jul  7 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-2mdk
- conflicts with cogito.

* Mon Jun 20 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-1mdk
- Update to 'git release' 2005-06-20
  Now conflicts with git (GNU Interactive Tools)

* Fri Apr 29 2005 Samir Bellabes <sbellabes@mandriva.com> 0.6-1mdk
- First release
